| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
IssueLogger::logger_t Class Referencefinal
Collaboration diagram for IssueLogger::logger_t:
[legend]

## Public Member Functions
| logger_t ()=default
| logger_t (StreamLogger *logger, void(StreamLogger::*fun)(const std::string &))
void | operator() (const std::string &s) const
const std::string & | name () const
| operator bool () const
void | reset ()

## Private Attributes
std::unique_ptr< StreamLogger > | m_logger
void(StreamLogger::* | m_fun )(const std::string &) = nullptr

## Detailed Description

Definition at line 35 of file IssueLogger.h.

## Constructor & Destructor Documentation

IssueLogger::logger_t::logger_t | ( |  | ) |
| default

IssueLogger::logger_t::logger_t | ( | StreamLogger * | logger,
|  | void(StreamLogger::*)(const std::string &) | fun
| ) |  |
| inline

Definition at line 40 of file IssueLogger.h.

41 : m_logger{ logger }, m_fun{ fun } {}
IssueLogger::logger_t::m_logger
std::unique_ptr< StreamLogger > m_logger
Definition: IssueLogger.h:36
fun
double fun(const std::vector< double > &x)
Definition: PFuncTest.cpp:26
IssueLogger::logger_t::m_fun
void(StreamLogger::* m_fun)(const std::string &)
Definition: IssueLogger.h:37

## Member Function Documentation

const std::string& IssueLogger::logger_t::name | ( |  | ) | const
| inline

Definition at line 43 of file IssueLogger.h.

43 { return m_logger->name(); }
IssueLogger::logger_t::m_logger
std::unique_ptr< StreamLogger > m_logger
Definition: IssueLogger.h:36
StreamLogger::name
const std::string & name() const
Definition: StreamLogger.h:17

IssueLogger::logger_t::operator bool | ( |  | ) | const
| inline explicit

Definition at line 44 of file IssueLogger.h.

44 { return bool(m_logger); }
IssueLogger::logger_t::m_logger
std::unique_ptr< StreamLogger > m_logger
Definition: IssueLogger.h:36

void IssueLogger::logger_t::operator() | ( | const std::string & | s | ) | const
| inline

Definition at line 42 of file IssueLogger.h.

42 { (m_logger.get()->*m_fun)(s); }
IssueLogger::logger_t::m_logger
std::unique_ptr< StreamLogger > m_logger
Definition: IssueLogger.h:36
std::unique_ptr::get
T get(T...args)
IssueLogger::logger_t::m_fun
void(StreamLogger::* m_fun)(const std::string &)
Definition: IssueLogger.h:37

void IssueLogger::logger_t::reset | ( |  | ) |
| inline

Definition at line 45 of file IssueLogger.h.

45 { m_logger.reset(); }
IssueLogger::logger_t::m_logger
std::unique_ptr< StreamLogger > m_logger
Definition: IssueLogger.h:36
std::unique_ptr::reset
T reset(T...args)

## Member Data Documentation

void(StreamLogger::* IssueLogger::logger_t::m_fun) (const std::string &) = nullptr
| private

Definition at line 37 of file IssueLogger.h.

std::unique_ptr<StreamLogger> IssueLogger::logger_t::m_logger
| private

Definition at line 36 of file IssueLogger.h.

The documentation for this class was generated from the following file:

- GaudiMonitor/src/IssueLogger.h